Subject: Re: bug#11572: 24.1.50; Emacs executable shadowed by an alias
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 06 Jun 2012 16:52:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier wrote:

> Sindikat, can you really reproduce your problem with just an alias
> 'emacs=emacsclient -c -a ""', or do you actually need to have an "emacs"
> script in your $PATH?

No answer, but it's basically impossible for a shell alias to cause the
described issue.

As has been said, it's a feature that emacsclient -a "" uses "emacs"
from PATH. If you have a script "emacs" in PATH, you'll need to make it
more sophisticated (eg, check for the --daemon option that emacsclient
passed in this case).